Subject: Re: bug#38236: R7RS reader does not support datum labels

From: John Cowan <[email-masked]>
Date: Sat, 16 Nov 2019 17:41:18 -0500

I don't see where the incompatibility comes in, although more lookahead
would be required.  Per the Guile documentation, neither #n# nor #n= (where
n is a sequence of digits) is a valid array tag.

On Sat, Nov 16, 2019 at 3:50 PM Andy Wingo <[email-masked]> wrote:

> R7RS defines a lexical feature called "datum labels"; see section 2.4 in
> the report.  An example would be:
>
>    #0=(a b c . #0#)
>
> Guile's reader doesn't support this feature and it's not clear if we
> should, in general.  Note, datum literals appear to be incompatible with
> array literals.  But we could of course use the R7RS layer as a place to
> experiment with a `read' implemented in Scheme.
>
>
>
>